Debian Bug report logs - #530718
tangogps: script to import GeoRSS points into TangoGPS POI database

version graph

Package: tangogps; Maintainer for tangogps is Daniel Baumann <daniel@lists.debian-maintainers.org>;

Reported by: Paul Wise <pabs@debian.org>

Date: Wed, 27 May 2009 08:24:02 UTC

Severity: wishlist

Tags: patch

Fixed in version tangogps/0.9.6-3

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#530718; Package tangogps. (Wed, 27 May 2009 08:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
New Bug report received and forwarded. Copy sent to Daniel Baumann <daniel@debian.org>. (Wed, 27 May 2009 08:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tangogps: script to import GeoRSS points into TangoGPS POI database
Date: Wed, 27 May 2009 16:20:33 +0800
[Message part 1 (text/plain, inline)]
Package: tangogps
Severity: wishlist
Tags: patch
Forwarded: Marcus Bauer <marcus.bauer+tangogps@gmail.com>

Please include the attached python script, which imports GeoRSS points
into the TangoGPS POI database. It uses the sqlite3, feedparser and
beautifulsoup python modules. I only tested it on the Madrid free WiFi
points feed and the DebConf9 overlay so it may choke on other feeds with
different HTML in the description. It handles GeoRSS-Simple and
GeoRSS-GML points, but doesn't handle lines, polygons etc because
tangogps doesn't seem to have support for those. It is MIT/Expat
licensed. I've also forwarded it to the upstream author but I would like
it in Debian sid too.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[georss-to-tangogps-poi.py (text/x-python, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sat, 30 May 2009 12:15:28 GMT) Full text and rfc822 format available.

Notification sent to Paul Wise <pabs@debian.org>:
Bug acknowledged by developer. (Sat, 30 May 2009 12:15:28 GMT) Full text and rfc822 format available.

Message #10 received at 530718-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 530718-close@bugs.debian.org
Subject: Bug#530718: fixed in tangogps 0.9.6-3
Date: Sat, 30 May 2009 12:02:04 +0000
Source: tangogps
Source-Version: 0.9.6-3

We believe that the bug you reported is fixed in the latest version of
tangogps, which is due to be installed in the Debian FTP archive:

tangogps_0.9.6-3.diff.gz
  to pool/main/t/tangogps/tangogps_0.9.6-3.diff.gz
tangogps_0.9.6-3.dsc
  to pool/main/t/tangogps/tangogps_0.9.6-3.dsc
tangogps_0.9.6-3_i386.deb
  to pool/main/t/tangogps/tangogps_0.9.6-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 530718@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated tangogps package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 30 May 2009 13:55:45 +0200
Source: tangogps
Binary: tangogps
Architecture: source i386
Version: 0.9.6-3
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel@debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 tangogps   - GTK+ mapping and GPS application
Closes: 530718
Changes: 
 tangogps (0.9.6-3) unstable; urgency=low
 .
   * Using correct rfc-2822 date formats in changelog.
   * Using more common directory name to store local debian additions.
   * Adding georss2angogps-poi script from Paul Wise <pabs@debian.org>
     (Closes: #530718).
   * Tidy rules file.
Checksums-Sha1: 
 d0af4b412d7c900e6d5012495179ab0834ee4e8a 1199 tangogps_0.9.6-3.dsc
 68b7b15c21767cc68658fc2eaff858f1e26d9ca8 6289 tangogps_0.9.6-3.diff.gz
 d3f53296af498114d45469c7f53fcda6d5243360 134058 tangogps_0.9.6-3_i386.deb
Checksums-Sha256: 
 a8df369e1694cb068f45f0febec2bf2edc9c1fd9aeec2d5c6832d89a091f9f67 1199 tangogps_0.9.6-3.dsc
 2ef50cf7f91e1756c23b9c064fa780ec185c71b272acd6ac342875b2925ced79 6289 tangogps_0.9.6-3.diff.gz
 67338ce1491717adf64a09176b6df1afaf58e520922af19c8ff6c4320396d4c4 134058 tangogps_0.9.6-3_i386.deb
Files: 
 98dffe77f55d1df56484236408378251 1199 comm optional tangogps_0.9.6-3.dsc
 a1c8ca3d1f7429a8912dbfb55b0fccea 6289 comm optional tangogps_0.9.6-3.diff.gz
 2fdccd38ffb22b24b57326a41c3d2185 134058 comm optional tangogps_0.9.6-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkohH00ACgkQ+C5cwEsrK54V6QCfUH8DELDC5YM+h8DSKOXueg0h
D+IAoKTxSlwK+719fFDTAEZmo1d6ZcWw
=OFt9
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 30 Jun 2009 07:27:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:32:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.